## org.junit.matchers
Class JUnitMatchers

    java.lang.Object
      org.junit.matchers.JUnitMatchers

    public class JUnitMatchers

extends Object

Convenience import class: these are useful matchers for use with the assertThat method, but they are not currently included in the basic CoreMatchers class from hamcrest.

Since:
  4.4

Constructor Summary
`JUnitMatchers()`

Method Summary

`static

`<T> CombinableMatcher.CombinableBothMatcher<T>`

`

`both(Matcher<? super T> matcher)`
Deprecated. Please use `CoreMatchers.both(Matcher)` instead.

`static Matcher<String>` `containsString(String substring)` Deprecated. Please use `CoreMatchers.containsString(String)` instead.

`static

`<T> CombinableMatcher.CombinableEitherMatcher<T>`

`

`either(Matcher<? super T> matcher)`
Deprecated. Please use `CoreMatchers.either(Matcher)` instead.

`static

`<T> Matcher<Iterable<T>>`

`

`everyItem(Matcher<T> elementMatcher)`
Deprecated. Please use `CoreMatchers.everyItem(Matcher)` instead.

`static

`<T> Matcher<Iterable<? super T>>`

`

`hasItem(Matcher<? super T> elementMatcher)`
Deprecated. Please use `CoreMatchers.hasItem(Matcher)` instead.

`static

`<T> Matcher<Iterable<? super T>>`

`

`hasItem(T element)`
Deprecated. Please use `CoreMatchers.hasItem(Object)` instead.

`static

`<T> Matcher<Iterable<T>>`

`

`hasItems(Matcher<? super T>... elementMatchers)`
Deprecated. Please use `CoreMatchers.hasItems(Matcher...)` instead.

`static

`<T> Matcher<Iterable<T>>`

`

`hasItems(T... elements)`
Deprecated. Please use `CoreMatchers.hasItems(Object...)` instead.

`static

`<T extends Exception> Matcher<T>`

`

`isException(Matcher<T> exceptionMatcher)`

`static

`<T extends Throwable> Matcher<T>`

`

`isThrowable(Matcher<T> throwableMatcher)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUnitMatchers

    public JUnitMatchers()

Method Detail

### hasItem

    @Deprecated
    public static <T> Matcher<Iterable<? super T>> hasItem(T element)

  Deprecated. Please use `CoreMatchers.hasItem(Object)` instead.

  Returns:
    A matcher matching any collection containing element

### hasItem

    @Deprecated
    public static <T> Matcher<Iterable<? super T>> hasItem(Matcher<? super T> elementMatcher)

  Deprecated. Please use `CoreMatchers.hasItem(Matcher)` instead.

  Returns:
    A matcher matching any collection containing an element matching elementMatcher

### hasItems

    @Deprecated
    public static <T> Matcher<Iterable<T>> hasItems(T... elements)

  Deprecated. Please use `CoreMatchers.hasItems(Object...)` instead.

  Returns:
    A matcher matching any collection containing every element in elements

### hasItems

    @Deprecated
    public static <T> Matcher<Iterable<T>> hasItems(Matcher<? super T>... elementMatchers)

  Deprecated. Please use `CoreMatchers.hasItems(Matcher...)` instead.

  Returns:
    A matcher matching any collection containing at least one element that matches each matcher in elementMatcher (this may be one element matching all matchers, or different elements matching each matcher)

### everyItem

    @Deprecated
    public static <T> Matcher<Iterable<T>> everyItem(Matcher<T> elementMatcher)

  Deprecated. Please use `CoreMatchers.everyItem(Matcher)` instead.

  Returns:
    A matcher matching any collection in which every element matches elementMatcher

### containsString

    @Deprecated
    public static Matcher<String> containsString(String substring)

  Deprecated. Please use `CoreMatchers.containsString(String)` instead.

  Returns:
    a matcher matching any string that contains substring

### both

    @Deprecated
    public static <T> CombinableMatcher.CombinableBothMatcher<T> both(Matcher<? super T> matcher)

  Deprecated. Please use `CoreMatchers.both(Matcher)` instead.

  This is useful for fluently combining matchers that must both pass. For example:

         assertThat(string, both(containsString("a")).and(containsString("b")));

### either

    @Deprecated
    public static <T> CombinableMatcher.CombinableEitherMatcher<T> either(Matcher<? super T> matcher)

  Deprecated. Please use `CoreMatchers.either(Matcher)` instead.

  This is useful for fluently combining matchers where either may pass, for example:

         assertThat(string, either(containsString("a")).or(containsString("b")));

### isThrowable

    public static <T extends Throwable> Matcher<T> isThrowable(Matcher<T> throwableMatcher)

  Returns:
    A matcher that delegates to throwableMatcher and in addition appends the stacktrace of the actual Throwable in case of a mismatch.

### isException

    public static <T extends Exception> Matcher<T> isException(Matcher<T> exceptionMatcher)

  Returns:
    A matcher that delegates to exceptionMatcher and in addition appends the stacktrace of the actual Exception in case of a mismatch.

Copyright © 2002–2020 JUnit. All rights reserved.